<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE configuration
        PUBLIC "-//mybatis.org//DTD Config 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-config.dtd">
<configuration>


    <!-- 设置 -->
    <settings>
        <setting name="cacheEnabled" value="true"/>
    </settings>


    <!-- 类的别名 -->
    <typeAliases>
        <!-- 手动一个个指定 -->
        <typeAlias alias="User" type="com.wyz.demo.po.UserPO"/>
        <typeAlias alias="Order" type="com.wyz.demo.po.OrderPO"/>

<!--        &lt;!&ndash; 直接扫描包,一次性处理里面的所有类 &ndash;&gt;-->
<!--        <package name="cn.test.ssm.po"></package>-->

    </typeAliases>


    <!-- 数据库配置 -->
    <environments default="master">
        <environment id="dev">
            <transactionManager type="JDBC"/>
            <dataSource type="POOLED">
                <property name="driver" value="com.mysql.cj.jdbc.Driver"/>
                <property name="url" value="jdbc:mysql://localhost:3306/DeliveryTakingSystem?serverTimezone=UTC"/>
                <property name="username" value="root"/>
                <property name="password" value="100299"/>
            </dataSource>
        </environment>

        <environment id="master">
            <transactionManager type="JDBC"/>
            <dataSource type="POOLED">
                <property name="driver" value="com.mysql.jdbc.Driver"/>
                <property name="url" value="jdbc:mysql://10.23.151.148:3306/DeliveryTakingSystem"/>
                <property name="username" value="root"/>
                <property name="password" value="qaz123"/>
            </dataSource>
        </environment>

    </environments>

    <!-- mapper.xml的位置
         放在resources目录下 -->
    <mappers>
        <mapper resource="mapper/UserMapper.xml"/>
        <mapper resource="mapper/OrderMapper.xml"/>
    </mappers>

</configuration>